# log4cplus::spi::DenyAllFilter Class Reference

This filter drops all logging events. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::DenyAllFilter:

[legend]
Collaboration diagram for log4cplus::spi::DenyAllFilter:

[legend]
List of all members.

## Public Member Functions

virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Always returns the DENY regardless of the InternalLoggingEvent parameter.

## Detailed Description

This filter drops all logging events.

You can add this filter to the end of a filter chain to switch from the default "accept all unless instructed otherwise" filtering behaviour to a "deny all unless instructed otherwise" behaviour.

Definition at line 125 of file filter.h.

## Member Function Documentation

virtual FilterResult log4cplus::spi::DenyAllFilter::decide | ( | const InternalLoggingEvent & | event | ) | const`[virtual]`

| Always returns the DENY regardless of the InternalLoggingEvent parameter. Implements log4cplus::spi::Filter.

The documentation for this class was generated from the following file:

- filter.h